Let $\theta$ be the angle by which he has
progressed around the pipe. Conservation of energy gives
\begin{align*}
		E_{total,i}	 &=    E_{total,f}  \\
         	PE_i		 &=    PE_f+ KE_f   \\
         	0		 &=    \Delta PE+ KE_f  \\
		0		 =    mgr(\cos  \theta -1) +  \frac{1}{2}mv^2  \qquad   .  
\end{align*}
While he is still in contact with the pipe, the radial
component of his acceleration is
\begin{equation*}
		a_r		 =    \frac{v^2}{r}  \qquad ,  
\end{equation*}
and making use of the previous equation we find
\begin{equation*}
		a_r		 =    2g(1-\cos  \theta )   \qquad   .  
\end{equation*}
There are two forces on him, a normal force from the pipe
and a downward gravitational force from the earth. At the
moment when he loses contact with the pipe, the normal
force is zero, so the radial component, 
$mg \cos\theta$, of the gravitational force must equal $ma_r$,
\begin{equation*}
  mg \cos  \theta = 2mg(1-\cos\theta)   \qquad   ,  
\end{equation*}
which gives
\begin{equation*}
		\cos  \theta 	 =    \frac{2}{3}   \qquad   .  
\end{equation*}
The amount by which he has dropped is $r(1-\cos\theta)$,
which equals $r/3$ at this moment.
